#chargement des donnes
system.time(donnees <- read.table("wave500kNumeric.txt",sep="\t",dec=".",header=T))

#variable cible y, descripteurs X
y <- factor(donnees[,22])
X <- donnees[,1:21]

#distribution de la classe
print("distribution classe : ")
print(table(y))

#construction du modle
library(MASS)
system.time(modele <- lda(X,y))
print("Modele")
print(modele)

#prdiction
system.time(pred <- predict(modele,newdata=X))

#matrice de confusion
mc <- table(y,pred$class)
print("matrice de confusion")
print(mc)

#erreur en resubstitution
print("taux erreur en resubstitution")
print(1.0-sum(diag(mc))/sum(mc))

